#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-regex.spec)

%define		module	regex
Summary:	Alternative regular expression module, to replace re
Summary(pl.UTF-8):	Moduł wyrażeń regularnych alternatywny dla oryginalnego re
Name:		python-%{module}
# keep 2021.3.x here for python2 support
Version:	2021.3.17
Release:	1
License:	PSF, Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/regex/
Source0:	https://files.pythonhosted.org/packages/source/r/regex/%{module}-%{version}.tar.gz
# Source0-md5:	c72d3bf55414ffbf92e43462ad91d508
URL:		https://bitbucket.org/mrabarnett/mrab-regex
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alternative regular expression module, to replace re.

%description -l pl.UTF-8
Moduł wyrażeń regularnych alternatywny dla oryginalnego re.

%package -n python3-%{module}
Summary:	Alternative regular expression module, to replace re
Summary(pl.UTF-8):	Moduł wyrażeń regularnych alternatywny dla oryginalnego re
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.6

%description -n python3-%{module}
Alternative regular expression module, to replace re.

%description -n python3-%{module} -l pl.UTF-8
Moduł wyrażeń regularnych alternatywny dla oryginalnego re.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
# directory with test_regex.py must not contain regex*
install -d tests_2
ln regex_2/test_regex.py tests_2/test_regex.py
PYTHONPATH=$(echo $(pwd)/build-2/lib.*) \
%{__python} tests_2/test_regex.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
# directory with test_regex.py must not contain regex*
install -d tests_3
ln regex_3/test_regex.py tests_3/test_regex.py
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} tests_3/test_regex.py
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/regex/test_regex.py*
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/regex/test_regex.py \
	$RPM_BUILD_ROOT%{py3_sitedir}/regex/__pycache__/test_regex.*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst docs/Features.html
%dir %{py_sitedir}/regex
%attr(755,root,root) %{py_sitedir}/regex/_regex.so
%{py_sitedir}/regex/*.py[co]
%{py_sitedir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst docs/Features.html
%dir %{py3_sitedir}/regex
%attr(755,root,root) %{py3_sitedir}/regex/_regex.cpython-*.so
%{py3_sitedir}/regex/*.py
%{py3_sitedir}/regex/__pycache__
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sat Mar 19 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-regex.git;a=log;h=master

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> ad4c042
- disable python3 here

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ff9ebf
- updated to 2021.3.17 (the last version with python2 support)

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 8c8e044
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 4d6e32b
- release 2 (by relup.sh)

* Fri Feb 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 1154056
- updated to 2020.11.13

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> f275311
- BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3d19377
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f733d56
- release 2 (by relup.sh)

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> bfee445
- up to 2018.02.21

* Mon Nov 06 2017 Mateusz Korniak <matkor@pld-linux.org> 511e846
- Initial version: 2017.09.23

